// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
package api

var endpointMethodSupports = map[string]map[string]bool{
	"/users": {
		"GET":    true,
		"POST":   false,
		"PUT":    true,
		"PATCH":  false,
		"DELETE": false,
	},
	"/channels/commercial": {
		"GET":    false,
		"POST":   true,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/analytics/extensions": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/analytics/games": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/bits/cheermotes": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/bits/leaderboard": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/extensions/transactions": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/clips": {
		"GET":    true,
		"POST":   true,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/entitlements/upload": {
		"GET":    false,
		"POST":   true,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/entitlements/code": {
		"GET":    false,
		"POST":   true,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/entitlements/codes": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/entitlements/drops": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/games/top": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/games": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/hypetrain/events": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/moderation/enforcement/status": {
		"GET":    false,
		"POST":   true,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/moderation/banned": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/moderation/banned/events": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/search/categories": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/search/channels": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/streams/key": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/streams": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/streams/markers": {
		"GET":    true,
		"POST":   true,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/channels": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  true,
		"DELETE": false,
	},
	"/subscriptions": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/tags/streams": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/streams/tags": {
		"GET":    true,
		"POST":   false,
		"PUT":    true,
		"PATCH":  false,
		"DELETE": false,
	},
	"/users/follows": {
		"GET":    true,
		"POST":   true,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": true,
	},
	"/users/extensions/list": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
	"/users/extensions": {
		"GET":    true,
		"POST":   false,
		"PUT":    true,
		"PATCH":  false,
		"DELETE": false,
	},
	"/videos": {
		"GET":    true,
		"POST":   false,
		"PUT":    false,
		"PATCH":  false,
		"DELETE": false,
	},
}
